/* import css shit */

/* css textboxes */
@import url("/mspfa/css/41577.css");

/* commentary css */
@import url("/mspfa/css/34652.css")

/* theme setting */

@mspfa title pNum(start) pNum(end) TAB TEXT;

@mspfa settheme 359 368 beta;
@mspfa settheme 370 399 beta;

/* main page colors */

body {
    background-color: #100000;
    color: #fffffe;
	  text-shadow: 1px 1px #110022;
}
#main {
    color: white;
    background-color: #192142;
    box-shadow: inset 0px 5px 0px 5px #ffb500;
}
#slide {
    background-color: #192142;
    border: 4px solid #FFB500;
    position: relative;
}

/* positioned images */

.pos {
  position: absolute;
  z-index: 2;
}

.pos + br {
  display: none
}

/* adventure title, command */

span.major {
    visibility: hidden;
    word-spacing: -999px;
    letter-spacing: -999px;
}

#command, #links {
	 text-shadow: 2px 2px #110022;
}

span.major::after {
    visibility: visible;
    word-spacing: normal;
    letter-spacing: normal;
    font-family: "Courier New", monospace;
    font-size: 36px;
    font-weight: bold;
    color: white;
	  text-shadow: 2px 2px #110022;
    content: "Cave Story: Retold";
}

/* spoiler */

#info > span > .spoiler.open {
	background-color: #192142;
}

#latestpages > span > .spoiler.open {
	background-color: #192142;
  border: none;
}

.spoiler.open {
	background-color: #000;
}

/* header and footer */

header .mspfalogo {
	background-color: #192142;
	border-color: #FFB500;
	background-image: url("/mspfa/ui/mspfa_guy.png");
        
}

footer {
	background-color: #192142;
	border-color: #FFB500;
  border-top: 4px solid #FFB500;
}

footer .mspfalogo {
	background-color: #192142;
	border-color: #FFB500;
	background-image: url("/mspfa/lower%20images/mspfa_guy.png");
}

footer .umcontainer {
  border-bottom: 4px solid #FFB500;
}

/* navbar */

nav {
	background-color: #192142;
  border-bottom: 4px solid #FFB500;
  border-top: 4px solid #FFB500;
}

/* links */

#links a {
  z-index: 3;
  padding-left: 10px;
}

a {
	color: #00ffff;
}

a:active {
	color: #8080ff;
}

a:visited {
	color: #8080c0;
}


/* dialogue boxes, buttons */

#dialog {
	background-color: #192142;
	border: 4px solid #FFB500;
}

#dialog div.major {
  font-family: "Courier New", monospace;
  font-size: 24px;
  font-weight: bold;
	background-color: #FFB500;
	color: #ffffff;  
	text-shadow: 2px 2px #884200;
}

#dialog button {
	background-color: #EA193E;
	border: 4px solid #FFB500;
  padding: 0px 8px;
	text-shadow: 2px 2px #880C21;
}

#dialog button.major {
  font-family: "Courier New", monospace;
  font-size: 24px;
  font-weight: bold;
	color: white;
}

/* comment box */

#bbtoolbar input {
	background-color: #192142;
  border: 2px solid #FFB500;
  width: 26px;
  height: 26px;
}

#bbtoolbar input[type="button"] {
  background-image: url("/mspfa/ui/bbcode_buttons.png");
}

textarea {
  color: #fffffe;
	text-shadow: 1px 1px #110022;
  font-family: "Courier New", monospace;
	border: 4px solid #FFB500;
	background-color: #192142;
}

input.major[type="submit"] {
  font-family: "Courier New", monospace;
  font-size: 24px;
  font-weight: bold;
	background-color: #EA193E;
	border: 4px solid #FFB500;
  padding: 0px 8px;
  color: #fffffe;
	text-shadow: 2px 2px #880C21;
}

/* other comment section shit */
select {
    font-family: "Courier New", monospace;
    font-size: 16px;
	  background-color: #EA193E;
	  border: 4px solid #FFB500;
    color: #fffffe;
    text-shadow: 1px 1px #880C21;
}

.rate input[type="button"] {
	  background-color: #EA193E;
	  border: 2px solid #FFB500;
    color: #fffffe;
    text-shadow: 1px 1px #880C21;
}

.rate input.major.up.unlit {
  background-image: url("/mspfa/ui/upvote_inactive.png");
}

.rate input.major.up.lit {
  background-image: url("/mspfa/ui/upvote_active.png");
}

.rate input.major.down.unlit {
  background-image: url("/mspfa/ui/downvote_inactive.png");
}

.rate input.major.down.lit {
  background-image: url("/mspfa/ui/downvote_active.png");
}


/* edited divs */

div.heart {
	background-image: url("/mspfa/ui/spunchbop.png");
}

/* caves */

.caves {
	background-color: #192142;
  outline: 4px solid #FFB500;
  font-family: "Courier New";
  font-weight: bold;
  font-size: 24px;
  line-height: 34px;
	text-shadow: 2px 2px #110022;
  margin-top: 20px;
}

.cavesicon {
	background-color: #192142;
  outline: 4px solid #FFB500;
  font-family: "Courier New";
  font-weight: bold;
  font-size: 24px;
  line-height: 34px;
	text-shadow: 2px 2px #110022;
  margin-top: 20px;
}

.cavesicon::before {
    width: 96px;
    height: 96px;
   top: 12px;
  left: 10px;
}

.cavesiconduo {
  text-align: left;
  font-weight: 400;
  --icon1: url(/mspfa/Snormal.png);
  --icon2: url(/mspfa/Snormal.png);
	background-color: #192142;
  outline: 4px solid #FFB500;
  font-family: "Courier New";
  font-weight: bold;
  font-size: 24px;
  line-height: 34px;
	text-shadow: 2px 2px #110022;
  margin-top: 20px;
  padding: 8px 8px 8px 123px;
  position: relative;
  background-image: var(--icon2);
  background-repeat: no-repeat;
  background-position: 492px 12px;
  background-size: 96px;
}

.cavesiconduo::before {
    -moz-transform: scaleX(-1);
    -o-transform: scaleX(-1);
    -webkit-transform: scaleX(-1);
    transform: scaleX(-1);
    content: '';
    background: var(--icon1);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center top;
    display: inline-block;
    position: absolute;
    width: 96px;
    height: 96px;
    top: 12px;
    left: 10px;
}

/* name plates */

.caves > .name {
    display: inline-block;
    position: absolute;
    margin: -32px 20px;
    background-color: #192142;
    outline: 4px solid #FFB500;
    padding: 0px 8px;
}

.cavesicon > .name, .cavesiconduo > .name {
    display: inline-block;
    position: absolute;
    margin: -32px -90px;
    background-color: #192142;
    outline: 4px solid #FFB500;
    padding: 0px 8px;
}

/* beta caves and cavesicon */
.betacaves {
  text-align: left;
  font-weight: bold;
  font-size: 24px;
  font-family: "Courier New";
  background-color: #15215a;
  color: white;
  outline: 4px dashed #D6EFFF;
  padding: 8px 16px;
  line-height: 34px;
  margin-top: 20px;
	text-shadow: 2px 2px black;
  border-radius: 0px 24px 24px 0px;
}

.betacavesicon {
  --icon: url(/mspfa/Snormal.png);
  text-align: left;
  font-weight: bold;
  font-size: 24px;
  font-family: "Courier New";
  background-color: #15215a;
  color: white;
  outline: 4px dashed #D6EFFF;
  padding: 8px 16px;
  line-height: 34px;
  margin-top: 20px;
	text-shadow: 2px 2px black;
  border-radius: 0px 24px 24px 0px;
  position: relative;
  background-image: var(--icon);
  background-repeat: no-repeat;
  background-position: 486px 12px;
  background-size: 96px;
}

.betacaves > .name, .betacavesicon > .name {
    display: inline-block;
    position: absolute;
    margin: -32px 20px;
    background-color: #15215a;
    outline: 4px dashed #D6EFFF;
    border-radius: 0px 24px 24px 0px;
    padding: 0px 8px;
}

/* vl caves */

.vlcaves {
	background-color: #192142;
  outline: 4px solid #FFB500;
  font-family: "Courier New";
  font-weight: bold;
  font-size: 24px;
  line-height: 34px;
	text-shadow: 2px 2px black;
  margin-top: 20px;
  position: relative;
}

.vlcavesicon {
  --icon: url(/mspfa/Snormal.png);
	background-color: white;
  outline: 4px solid #7f7f7f;
  color: black;
  text-align: left;
  font-weight: bold;
  font-size: 24px;
  font-family: "Courier New";
  line-height: 34px;
	text-shadow: 0px 0px black;
  margin-top: 20px;
  text-align: left;
  padding: 8px 8px 8px 123px;
  position: relative;
}

.vlcavesicon::before {
    content: '';
    background: var(--icon);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center top;
    width: 96px;
    height: 96px;
    display: inline-block;
    position: absolute;
    left: 12px;
    top: 10px;
}

/* vlcaves name plates */

.vlcaves > .name {
    display: inline-block;
    position: absolute;
    margin: -32px 20px;
    background-color: white;
    outline: 4px solid #7f7f7f;
    padding: 0px 8px;
}

.vlcavesicon > .name {
    display: inline-block;
    position: absolute;
    margin: -32px -90px;
    background-color: white;
    outline: 4px solid #7f7f7f;
    padding: 0px 8px;
}

/* div circle */

div.circle::before {
  	content: url(/mspfa/ui/funkydealybob.png);
    filter: drop-shadow(2px 2px black);
}

div.circle::after {
  	content: url(/mspfa/ui/funkydealybob.png);
	  filter: drop-shadow(2px 2px black);
}
div.circle {
	display: inline;
}

/* commentary box */

#commentary-posted {
	display: table;
	width: 600px;
	max-width: 940px;
	margin: 7px auto 23px auto;
	padding: 8px 25px;
	word-wrap: break-word;
	word-break: break-word;
  background-color: #192142;
  outline: 4px solid #FFB500;
}

/* accountant tale css stolen!! */

at-suggestionbox:before {
    content: "> ";
}

at-suggestionbox {
    font-family: "Courier New", monospace;
    font-size: 24px;
    font-weight: bold;
    background-color: #EA193E;
    color: #ffffff;
	  text-shadow: 2px 2px #880C21;
    padding: 0px 0px 0px 5px;
    border: 4px solid #FFB500;
    margin: 6px auto;
    margin-top: 30px;
    display: block;
    width: fit-content;
}

at-suggestionbox > input[type="text"] {
    font-family: "Courier New", monospace;
    font-size: 24px;
    font-weight: bold;
    width: 360px;
    border: 0;
    outline: 0;
    margin: 0;
    background-color: #EA193E;
    color: #ffffff;
	  text-shadow: 2px 2px #880C21;
}

at-suggestionbox > input[type="submit"] {
    font-family: "Courier New", monospace;
    font-size: 24px;
    font-weight: bold;
    border: 0;
    outline: 0;
    margin: 0;
    display: inline-block;
    border-left: 4px solid #FFB500;
    background-color: #EA193E;
    color: #ffffff;
	  text-shadow: 2px 2px #880C21;
    padding: 2px 10px 2px 8px;
}

at-suggestionbox > input[type="submit"]:hover {
    background-color: #FF77B4;
	  text-shadow: 2px 2px #EA193E;
    cursor: pointer;
}

/* nobody reads it but adventure log */
#log {
    background-color: #192142;
    border: 4px solid #FFB500;
}

td[style="border-bottom-width: 20px"] {
  border-bottom-color: #FFB500;
}

#flashytitle {
  height: 68px;
  
  background-image: url("/mspfa/ui/mspfa_banner.png");
  background-repeat: no-repeat;
  background-position: center 0;
  background-color: #192142;
}

#storyname {
    font-family: "Courier New", monospace;
    font-size: 24px;
    font-weight: bold;
    color: #00ffff;
    text-transform: none;
    text-shadow: 2px 2px #110022;
}

h1.major, h2.major, h3.major, h4.major, h5.major, h6.major {
    font-family: "Courier New", monospace;
    font-size: 200%;
    font-weight: bold;
    margin: 8px 0;
    color: white;
    text-transform: none;
    text-shadow: 2px 2px #110022;
}

/* etc */

.p1 #infobox tr:last-of-type td::after {
  content: " // this uses flare's css textboxes thought i should mention it";
}

/* ------ BETA THEME ------ */

/* main page colors */

.beta #main {
    color: white;
    background-color: #15215a;
    box-shadow: inset 0px 5px 0px 5px #D6EFFF;
}
.beta #slide {
    background-color: #15215a;
    border: 4px dashed #D6EFFF;
    border-radius: 0px 24px 24px 0px;
}

/* adventure title, command */

.beta span.major {
    visibility: hidden;
    word-spacing: -999px;
    letter-spacing: -999px;
}

.beta #command, #links {
	 text-shadow: 2px 2px black;
}

.beta span.major::after {
    visibility: visible;
    word-spacing: normal;
    letter-spacing: normal;
    font-family: "Courier New", monospace;
    font-size: 36px;
    font-weight: bold;
    color: white;
	  text-shadow: 2px 2px black;
    content: "Cave Story: Retold";
}

/* spoiler */

.beta #info > span > .spoiler.open {
	background-color: #15215a;
}

.beta #latestpages > span > .spoiler.open {
	background-color: #15215a;
  border: none;
}

.beta .spoiler.open {
	background-color: #000;
}

/* header and footer */

.beta header .mspfalogo {
	background-color: #15215a;
	border-color: #D6EFFF;
	background-image: url("/mspfa/ui/mspfa_guy_beta.png");
        
}

.beta footer {
	background-color: #15215a;
	border-color: #D6EFFF;
  border-top: 4px solid #D6EFFF;
}

.beta footer .mspfalogo {
	background-color: #15215a;
	border-color: #D6EFFF;
	background-image: url("/mspfa/lower%20images/mspfa_guy.png");
}

.beta footer .umcontainer {
  border-bottom: 4px solid #D6EFFF;
}

/* navbar */

.beta nav {
	background-color: #15215a;
  border-bottom: 4px solid #D6EFFF;
  border-top: 4px solid #D6EFFF;
}


/* dialogue boxes, buttons */

.beta #dialog {
	background-color: #15215a;
	border: 4px dashed #D6EFFF;
  border-radius: 0px 24px 24px 0px;
}

.beta #dialog div.major {
  font-family: "Courier New", monospace;
  font-size: 24px;
  font-weight: bold;
	background-color: #FF4E52;
  border-radius: 0px 24px 0px 0px;
	color: #ffffff;  
	text-shadow: 2px 2px #880c21;
}

.beta #dialog button {
	background-color: #FF4E52;
	border: 4px dashed #D6EFFF;
  background-clip: padding-box;
  padding: 0px 8px;
  border-radius: 0px 16px 16px 0px;
	text-shadow: 2px 2px #880C21;
}

.beta #dialog button.major {
  font-family: "Courier New", monospace;
  font-size: 24px;
  font-weight: bold;
	color: white;
}

/* comment box */

.beta #bbtoolbar input {
	background-color: #15215a;
  border: 2px dashed #D6EFFF;
  width: 26px;
  height: 26px;
}

.beta #bbtoolbar input[type="button"] {
  background-image: url("/mspfa/ui/bbcode_buttons.png");
}

.beta textarea {
  color: white;
	text-shadow: 1px 1px black;
  font-family: "Courier New", monospace;
	border: 4px dashed #D6EFFF;
  border-radius: 0px 24px 24px 0px;
	background-color: #15215a;
}

.beta input.major[type="submit"] {
  font-family: "Courier New", monospace;
  font-size: 24px;
  font-weight: bold;
	background-color: #FF4E52;
	border: 4px dashed #D6EFFF;
  background-clip: padding-box;
  padding: 0px 8px;
  border-radius: 0px 16px 16px 0px;
	text-shadow: 2px 2px #880C21;
  color: white;
}

/* other comment section shit */
.beta select {
    font-family: "Courier New", monospace;
    font-size: 16px;
	  background-color: #FF4E52;
	  border: 4px dashed #D6EFFF;
    background-clip: padding-box;
    border-radius: 0px 12px 12px 0px;
    color: white;
    text-shadow: 1px 1px #880C21;
}

.beta .rate input[type="button"] {
	  background-color: #FF4E52;
	  border: 2px dashed #D6EFFF;
    background-clip: padding-box;
    color: white;
    text-shadow: 1px 1px #880C21;
    border-radius: 0px 12px 12px 0px;
}

.beta .caves {
	background-color: #15215a;
  outline: 4px dashed #D6EFFF;
  border-radius: 0px 24px 24px 0px;
  font-family: "Courier New";
  font-weight: bold;
  font-size: 24px;
  line-height: 34px;
	text-shadow: 2px 2px black;
}

.beta .cavesicon {
  --icon: url(/mspfa/Snormal.png);
  text-align: left;
  font-weight: bold;
  font-size: 24px;
  font-family: "Courier New";
  background-color: #15215a;
  color: white;
  outline: 4px dashed #D6EFFF;
  padding: 8px 16px;
  line-height: 34px;
  margin-top: 20px;
	text-shadow: 2px 2px black;
  border-radius: 0px 24px 24px 0px;
  position: relative;
  background-image: var(--icon);
  background-repeat: no-repeat;
  background-position: 486px 12px;
  background-size: 96px;
}

.beta .caves > .name, .beta .cavesicon > .name {
    display: inline-block;
    position: absolute;
    margin: -32px 20px;
    background-color: #15215a;
    outline: 4px dashed #D6EFFF;
    border-radius: 0px 24px 24px 0px;
    padding: 0px 8px;
}

/* accountant tale css stolen!! */

.beta at-suggestionbox:before {
    content: "> ";
}

.beta at-suggestionbox {
    font-family: "Courier New", monospace;
    font-size: 24px;
    font-weight: bold;
    background-color: #FF4E52;
    color: #ffffff;
	  text-shadow: 2px 2px #880C21;
    padding: 0px 0px 0px 5px;
    border: 4px dashed #D6EFFF;
    border-radius: 0px 20px 20px 0px;
    background-clip: padding-box;
    margin: 6px auto;
    margin-top: 30px;
    display: block;
    width: fit-content;
}

.beta at-suggestionbox > input[type="text"] {
    font-family: "Courier New", monospace;
    font-size: 24px;
    font-weight: bold;
    width: 360px;
    border: 0;
    outline: 0;
    margin: 0;
    background-color: #FF4E52;
    color: #ffffff;
	  text-shadow: 2px 2px #880C21;
}

.beta at-suggestionbox > input[type="submit"] {
    font-family: "Courier New", monospace;
    font-size: 24px;
    font-weight: bold;
    border: 0;
    outline: 0;
    margin: 0;
    display: inline-block;
    border-left: 4px dashed #D6EFFF;
    background-color: #FF4E52;
    color: #ffffff;
	  text-shadow: 2px 2px #880C21;
    padding: 2px 14px 2px 8px;
    border-radius: 0px 20px 20px 0px;
}

.beta at-suggestionbox > input[type="submit"]:hover {
	background-color: #FF77B4;
	text-shadow: 2px 2px #EA193E;
	cursor: pointer;
}

/* commentary box */

.beta #commentary-posted {
	display: table;
	width: 600px;
	max-width: 940px;
	margin: 7px auto 23px auto;
	padding: 8px 25px;
	word-wrap: break-word;
	word-break: break-word;
  background-color: #15215a;
  outline: 4px dashed #D6EFFF;
  border-radius: 0px 24px 24px 0px;
}